1. Packages
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. rdsmysql
  6. getDbAccount
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.35
published on Thursday, May 14, 2026 by Volcengine

    Data Source schema for Volcengine::RDSMySQL::DBAccount

    Using getDbAccount

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getDbAccount(args: GetDbAccountArgs, opts?: InvokeOptions): Promise<GetDbAccountResult>
    function getDbAccountOutput(args: GetDbAccountOutputArgs, opts?: InvokeOptions): Output<GetDbAccountResult>
    def get_db_account(id: Optional[str] = None,
                       opts: Optional[InvokeOptions] = None) -> GetDbAccountResult
    def get_db_account_output(id: pulumi.Input[Optional[str]] = None,
                       opts: Optional[InvokeOptions] = None) -> Output[GetDbAccountResult]
    func LookupDbAccount(ctx *Context, args *LookupDbAccountArgs, opts ...InvokeOption) (*LookupDbAccountResult, error)
    func LookupDbAccountOutput(ctx *Context, args *LookupDbAccountOutputArgs, opts ...InvokeOption) LookupDbAccountResultOutput

    > Note: This function is named LookupDbAccount in the Go SDK.

    public static class GetDbAccount 
    {
        public static Task<GetDbAccountResult> InvokeAsync(GetDbAccountArgs args, InvokeOptions? opts = null)
        public static Output<GetDbAccountResult> Invoke(GetDbAccountInvokeArgs args, InvokeOptions? opts = null)
    }
    public static CompletableFuture<GetDbAccountResult> getDbAccount(GetDbAccountArgs args, InvokeOptions options)
    public static Output<GetDbAccountResult> getDbAccount(GetDbAccountArgs args, InvokeOptions options)
    
    fn::invoke:
      function: volcenginecc:rdsmysql/getDbAccount:getDbAccount
      arguments:
        # arguments dictionary
    data "volcenginecc_rdsmysql_getdbaccount" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getDbAccount Result

    The following output properties are available:

    AccountDesc string
    Account information description, maximum length 256 characters.
    AccountName string
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    AccountPassword string
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    AccountPrivileges List<Volcengine.GetDbAccountAccountPrivilege>
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    AccountPrivilegesSqls List<string>
    SQL statement for the account's specified database permission information.
    AccountStatus string
    Account status. Values: Unavailable: unavailable. Available: available.
    AccountType string
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    HasTableColumnPrivilegeDbNames List<string>
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    Host string
    IP address from which the specified database account can access the database.
    Id string
    Uniquely identifies the resource.
    InstanceId string
    Instance ID.
    TableColumnPrivileges List<Volcengine.GetDbAccountTableColumnPrivilege>
    Account table column permission settings.
    AccountDesc string
    Account information description, maximum length 256 characters.
    AccountName string
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    AccountPassword string
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    AccountPrivileges []GetDbAccountAccountPrivilege
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    AccountPrivilegesSqls []string
    SQL statement for the account's specified database permission information.
    AccountStatus string
    Account status. Values: Unavailable: unavailable. Available: available.
    AccountType string
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    HasTableColumnPrivilegeDbNames []string
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    Host string
    IP address from which the specified database account can access the database.
    Id string
    Uniquely identifies the resource.
    InstanceId string
    Instance ID.
    TableColumnPrivileges []GetDbAccountTableColumnPrivilege
    Account table column permission settings.
    account_desc string
    Account information description, maximum length 256 characters.
    account_name string
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    account_password string
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    account_privileges list(object)
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    account_privileges_sqls list(string)
    SQL statement for the account's specified database permission information.
    account_status string
    Account status. Values: Unavailable: unavailable. Available: available.
    account_type string
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    has_table_column_privilege_db_names list(string)
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    host string
    IP address from which the specified database account can access the database.
    id string
    Uniquely identifies the resource.
    instance_id string
    Instance ID.
    table_column_privileges list(object)
    Account table column permission settings.
    accountDesc String
    Account information description, maximum length 256 characters.
    accountName String
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    accountPassword String
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    accountPrivileges List<GetDbAccountAccountPrivilege>
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    accountPrivilegesSqls List<String>
    SQL statement for the account's specified database permission information.
    accountStatus String
    Account status. Values: Unavailable: unavailable. Available: available.
    accountType String
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    hasTableColumnPrivilegeDbNames List<String>
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    host String
    IP address from which the specified database account can access the database.
    id String
    Uniquely identifies the resource.
    instanceId String
    Instance ID.
    tableColumnPrivileges List<GetDbAccountTableColumnPrivilege>
    Account table column permission settings.
    accountDesc string
    Account information description, maximum length 256 characters.
    accountName string
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    accountPassword string
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    accountPrivileges GetDbAccountAccountPrivilege[]
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    accountPrivilegesSqls string[]
    SQL statement for the account's specified database permission information.
    accountStatus string
    Account status. Values: Unavailable: unavailable. Available: available.
    accountType string
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    hasTableColumnPrivilegeDbNames string[]
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    host string
    IP address from which the specified database account can access the database.
    id string
    Uniquely identifies the resource.
    instanceId string
    Instance ID.
    tableColumnPrivileges GetDbAccountTableColumnPrivilege[]
    Account table column permission settings.
    account_desc str
    Account information description, maximum length 256 characters.
    account_name str
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    account_password str
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    account_privileges Sequence[GetDbAccountAccountPrivilege]
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    account_privileges_sqls Sequence[str]
    SQL statement for the account's specified database permission information.
    account_status str
    Account status. Values: Unavailable: unavailable. Available: available.
    account_type str
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    has_table_column_privilege_db_names Sequence[str]
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    host str
    IP address from which the specified database account can access the database.
    id str
    Uniquely identifies the resource.
    instance_id str
    Instance ID.
    table_column_privileges Sequence[GetDbAccountTableColumnPrivilege]
    Account table column permission settings.
    accountDesc String
    Account information description, maximum length 256 characters.
    accountName String
    Database account name. Naming rules: Must be 2–32 characters long. Must start with a letter and end with a letter or number. Can contain letters, numbers, underscores (_), and hyphens (-). The account name must be unique within the instance. Certain reserved words cannot be used; for disabled reserved words, see the disabled word list. Note: The keywords root and admin can be used in high-privilege account names.
    accountPassword String
    Database account password. Rules: Length must be 8–32 characters. Must include at least three of the following: uppercase letters, lowercase letters, numbers, special characters. Allowed special characters: !@#$%^&*()_+-=,.&?|/.
    accountPrivileges List<Property Map>
    Specified database privilege information for the account. Note: When AccountType is set to Super, AccountPrivileges does not need to be specified.
    accountPrivilegesSqls List<String>
    SQL statement for the account's specified database permission information.
    accountStatus String
    Account status. Values: Unavailable: unavailable. Available: available.
    accountType String
    Account type. Value options: Super: high-privilege account. Normal: regular account.
    hasTableColumnPrivilegeDbNames List<String>
    The database to which the account's table/column privileges belong. Note: If the account does not have table/column privileges, this field will not be returned.
    host String
    IP address from which the specified database account can access the database.
    id String
    Uniquely identifies the resource.
    instanceId String
    Instance ID.
    tableColumnPrivileges List<Property Map>
    Account table column permission settings.

    Supporting Types

    GetDbAccountAccountPrivilege

    AccountPrivilege string
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    AccountPrivilegeDetails List<string>
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    DbName string
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    AccountPrivilege string
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    AccountPrivilegeDetails []string
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    DbName string
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    account_privilege string
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    account_privilege_details list(string)
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    db_name string
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    accountPrivilege String
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    accountPrivilegeDetails List<String>
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    dbName String
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    accountPrivilege string
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    accountPrivilegeDetails string[]
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    dbName string
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    account_privilege str
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    account_privilege_details Sequence[str]
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    db_name str
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.
    accountPrivilege String
    Type of database permission. Value options: ReadWrite: read and write permission. ReadOnly: read-only permission. DDLOnly: DDL permission only. DMLOnly: DML permission only. Custom: custom permission. Global: global permission. None: clear account permission. Note: When used as a request parameter, pay attention to the following: Only Global and None are allowed as values when used as request parameters. Permission type is single-select; passing multiple values will result in an error. Only the GrantDBAccountPrivilege API supports None as a value for AccountPrivilege. When AccountPrivilege is set to None and DBName is an empty string, all global permissions for the account are cleared. If DBName is set to a specific database, all permissions for the account in that database are cleared.
    accountPrivilegeDetails List<String>
    Account privilege information. When AccountPrivilege is set to Custom, the valid values for this field are: SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, REFERENCES, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, EVENT, TRIGGER, CREATE ROUTINE, ALTER ROUTINE. When AccountPrivilege is set to Global, the valid values for this field are: PROCESS, REPLICATION SLAVE, REPLICATION CLIENT, SELECT, INSERT, UPDATE, DELETE, CREATE, DROP, RELOAD, REFERENCES, INDEX, ALTER, LOCK TABLES, EXECUTE, CREATE VIEW, SHOW VIEW, CREATE ROUTINE, ALTER ROUTINE, CREATE USER, EVENT, TRIGGER, SHOW DATABASES, CREATE TEMPORARY TABLES. Note: When used as a request parameter, this field is required if AccountPrivilege is set to Custom. In the CreateDBAccount API, REPLICATION SLAVE, PROCESS, and REPLICATION CLIENT global privileges are automatically granted to the account. Multiple values can be specified, separated by commas (,). The write mode is overwrite.
    dbName String
    The name of the database for which account authorization needs to be modified or for which the account already has privileges. Note: When used as a request parameter in the CreateDBAccount and GrantDBAccountPrivilege APIs, ensure that the database corresponding to DBName already exists. For global privilege modifications, set DBName to an empty string.

    GetDbAccountTableColumnPrivilege

    ColumnPrivileges List<Volcengine.GetDbAccountTableColumnPrivilegeColumnPrivilege>
    Account column permission information.
    DbName string
    Name of the database to which the table belongs for setting permissions for the account.
    TablePrivileges List<Volcengine.GetDbAccountTableColumnPrivilegeTablePrivilege>
    Account table permission information.
    ColumnPrivileges []GetDbAccountTableColumnPrivilegeColumnPrivilege
    Account column permission information.
    DbName string
    Name of the database to which the table belongs for setting permissions for the account.
    TablePrivileges []GetDbAccountTableColumnPrivilegeTablePrivilege
    Account table permission information.
    column_privileges list(object)
    Account column permission information.
    db_name string
    Name of the database to which the table belongs for setting permissions for the account.
    table_privileges list(object)
    Account table permission information.
    columnPrivileges List<GetDbAccountTableColumnPrivilegeColumnPrivilege>
    Account column permission information.
    dbName String
    Name of the database to which the table belongs for setting permissions for the account.
    tablePrivileges List<GetDbAccountTableColumnPrivilegeTablePrivilege>
    Account table permission information.
    columnPrivileges GetDbAccountTableColumnPrivilegeColumnPrivilege[]
    Account column permission information.
    dbName string
    Name of the database to which the table belongs for setting permissions for the account.
    tablePrivileges GetDbAccountTableColumnPrivilegeTablePrivilege[]
    Account table permission information.
    column_privileges Sequence[GetDbAccountTableColumnPrivilegeColumnPrivilege]
    Account column permission information.
    db_name str
    Name of the database to which the table belongs for setting permissions for the account.
    table_privileges Sequence[GetDbAccountTableColumnPrivilegeTablePrivilege]
    Account table permission information.
    columnPrivileges List<Property Map>
    Account column permission information.
    dbName String
    Name of the database to which the table belongs for setting permissions for the account.
    tablePrivileges List<Property Map>
    Account table permission information.

    GetDbAccountTableColumnPrivilegeColumnPrivilege

    AccountPrivilegeDetails List<string>
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    ColumnName string
    Name of the column for setting column permissions for the account.
    TableName string
    Name of the database to which the table belongs for setting column permissions for the account.
    AccountPrivilegeDetails []string
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    ColumnName string
    Name of the column for setting column permissions for the account.
    TableName string
    Name of the database to which the table belongs for setting column permissions for the account.
    account_privilege_details list(string)
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    column_name string
    Name of the column for setting column permissions for the account.
    table_name string
    Name of the database to which the table belongs for setting column permissions for the account.
    accountPrivilegeDetails List<String>
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    columnName String
    Name of the column for setting column permissions for the account.
    tableName String
    Name of the database to which the table belongs for setting column permissions for the account.
    accountPrivilegeDetails string[]
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    columnName string
    Name of the column for setting column permissions for the account.
    tableName string
    Name of the database to which the table belongs for setting column permissions for the account.
    account_privilege_details Sequence[str]
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    column_name str
    Name of the column for setting column permissions for the account.
    table_name str
    Name of the database to which the table belongs for setting column permissions for the account.
    accountPrivilegeDetails List<String>
    Permission information for setting column permissions for the account. Values (multiple selections allowed): INSERT, REFERENCES, SELECT, UPDATE. Note: Use commas (,) to separate multiple permissions.
    columnName String
    Name of the column for setting column permissions for the account.
    tableName String
    Name of the database to which the table belongs for setting column permissions for the account.

    GetDbAccountTableColumnPrivilegeTablePrivilege

    AccountPrivilegeDetails List<string>
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    TableName string
    Name of the table for setting permissions for the account.
    AccountPrivilegeDetails []string
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    TableName string
    Name of the table for setting permissions for the account.
    account_privilege_details list(string)
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    table_name string
    Name of the table for setting permissions for the account.
    accountPrivilegeDetails List<String>
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    tableName String
    Name of the table for setting permissions for the account.
    accountPrivilegeDetails string[]
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    tableName string
    Name of the table for setting permissions for the account.
    account_privilege_details Sequence[str]
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    table_name str
    Name of the table for setting permissions for the account.
    accountPrivilegeDetails List<String>
    Account table permissions. Value options (multiple selections allowed): ALTER, CREATE, DELETE, DROP, INDEX, INSERT, SELECT, SHOW, VIEW, TRIGGER, UPDATE, CREATE VIEW, REFERENCES. Note: Use commas (,) to separate multiple permissions.
    tableName String
    Name of the table for setting permissions for the account.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.35
    published on Thursday, May 14, 2026 by Volcengine
      Try Pulumi Cloud free. Your team will thank you.